Stock Info
StockInfo
Get product stock for one or several products. The result can be limited to only specific stores and warehouses.
Usage:
productUids OR productSkus is required. An error is returned if both fields are present in request.
storeUids OR warehouseUids is required. An error is returned if both fields are present in request.
Returns stock records for all warehouses in request or all warehouses for all stores in request.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
POST /v2/tenants/{tenantUid}/products/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93
{
"productUids": [
"text"
],
"productSkus": [
"text"
],
"storeUids": [
"text"
],
"warehouseUids": [
"text"
]
}{
"items": [
{
"productUid": "text",
"productName": "text",
"productSku": "text",
"totalQuantityReserved": 1,
"totalQuantityStock": 1,
"warehouseStockDetails": [
{
"locationLabel": "text",
"maxStockLevel": 1,
"minStockLevel": 1,
"quantityReserved": 1,
"quantityStock": 1,
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Get all stock records for a store after a modification timestamp.
Get stock records for a store.
If no warehouseUids in request, the response contains stock records for all warehouses the storeUid in url has VIEW access to.
Else, the storeUid in url MUST have VIEW access all warehosueUids in request.
Returns stock records for all warehouses a store has VIEW asscess to.
Token received from the auth service
Reference to a Store.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
POST /v2/tenants/{tenantUid}/stores/{storeUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"modifiedAfter": "2026-01-01T00:00:00.000Z",
"warehouseUids": [
"text"
]
}{
"items": [
{
"productUid": "text",
"productName": "text",
"productSku": "text",
"totalQuantityReserved": 1,
"totalQuantityStock": 1,
"warehouseStockDetails": [
{
"locationLabel": "text",
"maxStockLevel": 1,
"minStockLevel": 1,
"quantityReserved": 1,
"quantityStock": 1,
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Searches for products based on criteria set in the request body.
Returns a response with the stores price and stock availablitity.
If productGroupUid is set, productGroupScopes is omitted.
StoreProductDetails contains accumulated values for all warehouses the store owns and has VIEW access to.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
A list of product group UIDs that you want to include in the search
^[A-Za-z0-9-_]+A list of product UIDs to search for
If true, returns only products with stocklevel > 0
when true, only show products with allowPurchase = true
Product Store Search Response
POST /v2/tenants/{tenantUid}/stores/{storeUid}/products/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"brandUids": [
"text"
],
"exactMatch": true,
"query": "text",
"productGroupUids": [
"text"
],
"productGroupScopes": [
"SALE"
],
"supplierUid": "text",
"productUids": [
"text"
],
"hideVariants": true,
"includeDiscontinued": true,
"visibility": [
"ALWAYS_VISIBLE"
],
"productTypes": [
"STOCK"
],
"onlyInStock": true,
"hideNotAllowPurchase": true
}Product Store Search Response
{
"items": [
{
"storeProductDetails": {
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"price": 1,
"campaignPrice": 1,
"campaignName": "text",
"quantityReserved": 1,
"quantityStock": 1,
"quantityOrdered": 1
},
"allowAddon": true,
"allowCredit": true,
"allowPurchase": true,
"allowQuantity": true,
"allowSale": "YES",
"allowSaleDate": "2026-01-01T00:00:00.000Z",
"allowDelivery": "YES",
"allowDeliveryDate": "2026-01-01T00:00:00.000Z",
"availableForWeb": true,
"brandUid": "text",
"brandName": "text",
"calculationFactor": 1,
"categoryUids": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAgeRestriction": 1,
"description": "text",
"discontinuedFrom": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"externalInfo": "text",
"externalUrl": "text",
"gtins": [
{
"gtin": "text",
"primary": true,
"type": "text"
}
],
"height": 1,
"internalInfo": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"length": 1,
"name": "text",
"optionProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"priceOverride": true,
"productGroupUid": "text",
"productGroupPath": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
],
"productUid": "text",
"productType": "STOCK",
"recommendedRetailPrice": 1,
"requiredVariantPropertyUids": [
"text"
],
"serialNoRequired": "NO",
"shortDescription": "text",
"sku": "text",
"manufacturerSku": "text",
"suppliers": [
{
"name": "text",
"supplierUid": "text"
}
],
"textProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"unitLabel": "text",
"variantProductUids": [
"text"
],
"variantParentProductUid": "text",
"vatCodeUid": "text",
"weight": 1,
"width": 1,
"links": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"parents": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerDeliveryAddress": true
},
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"imageCount": 1,
"relevance": 1,
"visibility": "ALWAYS_VISIBLE",
"commission": 1,
"productWarrantyUid": "text",
"excludeFromStatistics": true,
"purchasePrice": 1,
"numberOfPieces": 1,
"limitToStoreUids": [
"text"
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Get store specific information about a product.
StoreProductDetails contains accumulated values for all warehouses the store owns and has VIEW access to.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Store Product Response
| ENUM | Description |
|---|---|
| YES | Allow the product to be sold |
| NO | Do not allow the product to be sold |
| NOT_BEFORE_DATE | Do not allow the product to be sold before a specified date |
| ENUM | Description |
|---|---|
| YES | Allow the product to be delivered |
| NO | Do not allow the product to be delivered |
| NOT_BEFORE_DATE | Do not allow the product to be delivered before a specified date |
The product is available for web sale
^[A-Za-z0-9-_]+Age restriction for the customer. 0 = no restriction
Ledger number must be a valid number with possible leading zeros
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+| ENUM | Description |
|---|---|
| STOCK | Price*quantity |
| NO_STOCK | No quantity |
| CONFIGURABLE | Master configurable product |
| FLOWGIFTCARD | Flow Giftcard product |
| NON_PHYSICAL | Non physical product |
| PACKAGE_FIXED | Packaged product with fixed content |
| PACKAGE_DYNAMIC | Packaged product with dynamic content |
A list of propertyUids that are required for each variant of this product.
| ENUM | Description |
|---|---|
| NO | No Serial number required |
| ON_SALE | Can register serial number when selling a product (Serial number is optional) |
| ON_RECEIVE | Must register serial number when receiving and selling product (Serial number is required) |
^[A-Za-z0-9-_]+A list of productUids that make up variants of this product.
^[A-Za-z0-9-_]+A commission to be paid to the supplier after delivery.
^[A-Za-z0-9-_]+Indicates how many packages/parts the product consists of.
Limit the product to be used for a list of storeUids.
GET /v2/tenants/{tenantUid}/stores/{storeUid}/products/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Store Product Response
{
"storeProductDetails": {
"grossProfitAmount": 1,
"grossProfitPercentage": 1,
"costPrice": 1,
"price": 1,
"campaignPrice": 1,
"campaignName": "text",
"quantityReserved": 1,
"quantityStock": 1,
"quantityOrdered": 1
},
"allowAddon": true,
"allowCredit": true,
"allowPurchase": true,
"allowQuantity": true,
"allowSale": "YES",
"allowSaleDate": "2026-01-01T00:00:00.000Z",
"allowDelivery": "YES",
"allowDeliveryDate": "2026-01-01T00:00:00.000Z",
"availableForWeb": true,
"brandUid": "text",
"brandName": "text",
"calculationFactor": 1,
"categoryUids": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"customerAgeRestriction": 1,
"description": "text",
"discontinuedFrom": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"externalInfo": "text",
"externalUrl": "text",
"gtins": [
{
"gtin": "text",
"primary": true,
"type": "text"
}
],
"height": 1,
"internalInfo": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"length": 1,
"name": "text",
"optionProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"priceOverride": true,
"productGroupUid": "text",
"productGroupPath": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
],
"productUid": "text",
"productType": "STOCK",
"recommendedRetailPrice": 1,
"requiredVariantPropertyUids": [
"text"
],
"serialNoRequired": "NO",
"shortDescription": "text",
"sku": "text",
"manufacturerSku": "text",
"suppliers": [
{
"name": "text",
"supplierUid": "text"
}
],
"textProperties": [
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}
],
"unitLabel": "text",
"variantProductUids": [
"text"
],
"variantParentProductUid": "text",
"vatCodeUid": "text",
"weight": 1,
"width": 1,
"links": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"parents": [
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}
],
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerDeliveryAddress": true
},
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
},
"imageCount": 1,
"relevance": 1,
"visibility": "ALWAYS_VISIBLE",
"commission": 1,
"productWarrantyUid": "text",
"excludeFromStatistics": true,
"purchasePrice": 1,
"numberOfPieces": 1,
"limitToStoreUids": [
"text"
]
}Lists warehouses with available stock that the specified store has access to.
The list will only contain warehouses that the store has "VIEW" access to.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Filter by warehouse uid
Example response
GET /v2/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
binaryLists all stock on a warehouse. Use the Accept header to choose the response format
Available formats: json, PDF and spreadsheet (excel file).
Accesstoken recevied after user login with a deviceToken
Reference to a Warehouse.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Reference to a list of productGroup Ids.
Reference to a list of brand Ids.
Example response
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
binaryGet stock for product in specified warehouse
Returns stock for a particular product in the specified warehouse.
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a Warehouse.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Example response
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"averageCost": 1,
"locationLabel": "text",
"maxStockLevel": 1,
"minStockLevel": 1,
"price": 1,
"productUid": "text",
"productName": "text",
"productSku": "text",
"quantityReserved": 1,
"quantityStock": 1,
"warehouseUid": "text",
"warehouseName": "text",
"storeUid": "text",
"storeName": "text"
}Last updated
Was this helpful?

